import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:info_tren/models.dart';

part 'station_arrdep.g.dart';
part 'station_arrdep.freezed.dart';

@freezed
class StationArrDep with _$StationArrDep {
  const factory StationArrDep({
    required int? stoppingTime, 
    required DateTime time, 
    required StationTrain train, 
    required StationStatus status,
  }) = _StationArrDep;

  factory StationArrDep.fromJson(Map<String, dynamic> json) => _$StationArrDepFromJson(json);
}

