import 'package:freezed_annotation/freezed_annotation.dart';

part 'station_train.g.dart';
part 'station_train.freezed.dart';

@freezed
class StationTrain with _$StationTrain {
  const factory StationTrain({
    required String rank,
    required String number,
    required String operator,
    required String terminus,
    List<String>? route,
    required DateTime departureDate,
  }) = _StationTrain;

  factory StationTrain.fromJson(Map<String, dynamic> json) => _$StationTrainFromJson(json);
}

