import 'package:freezed_annotation/freezed_annotation.dart';

part 'trains_result.g.dart';
part 'trains_result.freezed.dart';

@freezed
class TrainsResult with _$TrainsResult {
  const factory TrainsResult({
    required String rank, 
    required String number, 
    required String company,
  }) = _TrainsResult;

  factory TrainsResult.fromJson(Map<String, dynamic> json) => _$TrainsResultFromJson(json);
}