enum UiDesign {
  MATERIAL,
  CUPERTINO,
  FLUENT,
}

class UnmatchedUiDesignException implements Exception {
  final UiDesign uiDesign;

  UnmatchedUiDesignException(this.uiDesign);

  @override
  String toString() {
    return '$uiDesign was not matched';
  }
}
