import 'package:freezed_annotation/freezed_annotation.dart';

part 'stations_result.g.dart';
part 'stations_result.freezed.dart';

@freezed
class StationsResult with _$StationsResult {
  const factory StationsResult({
    required String name, 
    List<String>? stoppedAtBy,
  }) = _StationsResult;

  factory StationsResult.fromJson(Map<String, dynamic> json) => _$StationsResultFromJson(json);
}
